%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5

%bcond tests    1

Name:           moonray_gui
Version:        16.36.0.0
Release:        %autorelease
Summary:        Simple Qt viewer for MoonRay

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

Patch0:          %{name}-qt-macro.patch
Patch1:          %{name}-tbb.patch

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++

BuildRequires:  qt5-qtbase-gui
BuildRequires:  qt5-qtbase-devel
BuildRequires:  boost-regex

BuildRequires:  cmake(Moonray) = 16.36.0.0
BuildRequires:  cmake(McrtDenoise) = 5.22.0.0


Requires:       Moonray = 16.36.0.0
Requires:       McrtDenoise = 5.22.0.0
Provides:       MoonrayGui = %{version}

%description
Simple Qt viewer for MoonRay

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       cmake(Moonray) = 16.36.0.0
Requires:       cmake(McrtDenoise) = 5.22.0.0

%description    devel
The %{name}-devel package contains libraries and header files of %{name}, required to build other parts of OpenMoonRay.


%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_

# Include minor releases
sed -i "14s|'[^']*'|'%{version}'|" \
        package.py

%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=cmake_modules/cmake \
    -DMOONRAY_USE_OPTIX=OFF \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_bindir}/moonray_gui

%files devel
%{_libdir}/cmake/MoonrayGui-%{version}


%changelog
%autochangelog
